import { Component, OnInit } from '@angular/core';
import {FormBuilder, Validators} from '@angular/forms';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from '../../../../frame/core/detail/frame.detail';

@Component({
  selector: 'app-std-reg-agent',
  templateUrl: './std-reg-agent.component.html',
  styleUrls: ['./std-reg-agent.component.scss']
})
export class StdRegAgentComponent  extends FrameDetailComponent implements OnInit {

  constructor(bsModalRef: BsModalRef, fb: FormBuilder) {
    super(bsModalRef);
    this.detailForm = fb.group({
      'new_agent_id': [null, Validators.compose([Validators.required])],
      'business_note': [null, Validators.compose([Validators.required])]
    });
  }

  ngOnInit() {
  }

  initDefautEntity() {
    this.currentEntity = this.ResponseMap.StdEnrol;
  }
}
